Delete lead list
curl --request DELETE \
--url https://api.instantly.ai/api/v2/lead-lists/{id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.instantly.ai/api/v2/lead-lists/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.instantly.ai/api/v2/lead-lists/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));HttpResponse<String> response = Unirest.delete("https://api.instantly.ai/api/v2/lead-lists/{id}")
.header("Authorization", "Bearer <token>")
.asString();<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.instantly.ai/api/v2/lead-lists/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.instantly.ai/api/v2/lead-lists/{id}"
req, _ := http.NewRequest("DELETE", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "01a082d0-332a-7b85-86b6-dfedbe9e8e77",
"organization_id": "01a082d0-332a-7b85-86b6-dfee0443632b",
"name": "My Lead List",
"timestamp_created": "2026-09-08T20:57:57.802Z",
"has_enrichment_task": false,
"owned_by": "01a082d0-332a-7b85-86b6-dfefd645df32"
}{
"statusCode": 401,
"error": "Unauthorized",
"message": "Missing Authorization header"
}{
"statusCode": 402,
"error": "Payment Required",
"message": "Workspace does not have an active paid plan"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found"
}{
"statusCode": 429,
"error": "Too Many Requests",
"message": "Rate limit exceeded"
}Lead List
Delete lead list
Requires one of the following scopes: lead_lists:delete, lead_lists:all, all:delete, all:all
DELETE
/
api
/
v2
/
lead-lists
/
{id}
Delete lead list
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the item to delete
Example:
"01a082d0-841a-748f-a6e8-0a27a79add1d"
Response
The deleted Lead List
A list used to store leads
Unique identifier for the lead list
Example:
"01a082d0-332a-7b85-86b6-dfedbe9e8e77"
Organization ID that owns this lead list
Example:
"01a082d0-332a-7b85-86b6-dfee0443632b"
Name of the lead list
Example:
"My Lead List"
Timestamp when the lead list was created
Example:
"2026-09-08T20:57:57.802Z"
Whether this list runs the enrichment process on every added lead or not
Example:
false
User ID of the owner of this lead list. Defaults to the user that created the list
Example:
"01a082d0-332a-7b85-86b6-dfefd645df32"